> ## Documentation Index
> Fetch the complete documentation index at: https://developers.harvey.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Users

> Lists all workspace users with current active access to a specified Vault project, along with their access levels. Includes effective user access (including inherited access), and the project owner is always included with `MANAGE` access.

Requires vault sharing to be enabled.

### Permissions

Requires `Vault API` permission, and either `Vault sharing (view only)` or `Vault sharing` permission.


## OpenAPI

````yaml /vault_api.json get /api/v1/vault/projects/{project_id}/users
openapi: 3.0.1
info:
  title: Vault - Upload Documents
  description: >-
    The Vault Upload Documents API enables users to programmatically upload and
    manage documents within Vault projects. This API allows organizations to
    maintain projects with their own internal files for their users to use
    within the Harvey app.
  version: 1.0.0
  contact:
    email: support@harvey.ai
servers:
  - url: https://api.harvey.ai
    description: Harvey API server
security: []
paths:
  /api/v1/vault/projects/{project_id}/users:
    get:
      tags:
        - Vault
      summary: List Project Users
      description: >-
        Lists all workspace users with current active access to a specified
        Vault project, along with their access levels. Includes effective user
        access (including inherited access), and the project owner is always
        included with `MANAGE` access.


        Requires vault sharing to be enabled.
      operationId: listProjectUsers
      parameters:
        - name: project_id
          in: path
          required: true
          description: The unique identifier of the Vault project
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successfully retrieved project users
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - COMPLETED
                    description: Status of the request
                  data:
                    type: object
                    properties:
                      project_id:
                        type: string
                        format: uuid
                        description: The project ID
                      users:
                        type: array
                        items: af78fc53-cd9d-4eb9-a931-2bb5668ee20e
                        description: List of users with access to the project
                    required:
                      - project_id
                      - users
                required:
                  - status
                  - data
              examples:
                listProjectUsers:
                  summary: Example response for listing project users
                  value:
                    status: COMPLETED
                    data:
                      project_id: 12345678-1234-5678-1234-567812345678
                      users:
                        - user_id: aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee
                          email: admin@example.com
                          name: Alice Admin
                          access_level: MANAGE
                        - user_id: 11111111-2222-3333-4444-555566667777
                          email: reviewer@example.com
                          name: Bob Reviewer
                          access_level: READ
        '401':
          description: Unauthorized - Invalid or missing API token
        '403':
          description: >-
            Forbidden - User lacks required permissions, vault sharing is
            disabled, or project access is denied
        '404':
          description: Project not found
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````